SystemOrganization addCategory: #'JQuery-Tests-Core-Unit'!
SystemOrganization addCategory: #'JQuery-Tests-Core-Functional'!

JSObjectTest subclass: #JQueryTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Unit'!

JQueryTest subclass: #JQAjaxTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Unit'!

!JQAjaxTest methodsFor: 'accessing' stamp: 'lr 10/14/2008 22:04'!
ajax
	^ self jQuery ajax! !

!JQAjaxTest methodsFor: 'accessing' stamp: 'lr 10/15/2008 21:47'!
ajaxSetup
	^ self jQuery ajaxSetup! !

!JQAjaxTest methodsFor: 'testing-parameters' stamp: 'lr 10/16/2008 22:27'!
testAddParameter
	self 
		assert: (self ajax addParameter: 'foo')
		equals: self name , '.ajax({data:"foo"})'! !

!JQAjaxTest methodsFor: 'testing-parameters' stamp: 'lr 10/16/2008 22:25'!
testAddParameterValue
	self 
		assert: (self ajax addParameter: 'foo' -> true)
		equals: self name , '.ajax({data:"foo="+true})'! !

!JQAjaxTest methodsFor: 'testing' stamp: 'lr 10/16/2008 14:46'!
testAjax
	self 
		assert: self ajax
		equals: self name , '.ajax()'! !

!JQAjaxTest methodsFor: 'testing' stamp: 'lr 10/16/2008 14:46'!
testAjaxSetup
	self 
		assert: self ajaxSetup
		equals: self name , '.ajaxSetup()'! !

!JQAjaxTest methodsFor: 'testing-options' stamp: 'lr 10/16/2008 14:46'!
testAsync
	self
		assert: (self ajax async: true)
		equals: self name , '.ajax({async:true})'! !

!JQAjaxTest methodsFor: 'testing-options' stamp: 'lr 10/16/2008 14:46'!
testCache
	self
		assert: (self ajax cache: false)
		equals: self name , '.ajax({cache:false})'! !

!JQAjaxTest methodsFor: 'testing-callbacks' stamp: 'lr 10/16/2008 22:28'!
testCallback
	self 
		assert: (self ajax callback: [ ])
		equals: self name , '.ajax({url:"http://www.seaside.st/",data:["_s=123","_k=abc","1"].join("&")})'! !

!JQAjaxTest methodsFor: 'testing-callbacks' stamp: 'lr 10/16/2008 22:28'!
testCallbackValue
	self 
		assert: (self ajax callback: [ ] value: (self jQuery this hasClass: 'foo'))
		equals: self name , '.ajax({url:"http://www.seaside.st/",data:["_s=123","_k=abc","1="+' , self name , '(this).hasClass("foo")].join("&")})'! !

!JQAjaxTest methodsFor: 'testing-options' stamp: 'lr 10/16/2008 14:46'!
testContentType
	self
		assert: (self ajax contentType: 'text/html')
		equals: self name , '.ajax({contentType:"text/html"})'! !

!JQAjaxTest methodsFor: 'testing-options' stamp: 'lr 10/16/2008 14:46'!
testData
	self
		assert: (self ajax data: (Array with: 'foo' with: 'bar'))
		equals: self name , '.ajax({data:["foo","bar"]})'! !

!JQAjaxTest methodsFor: 'testing-options' stamp: 'lr 10/16/2008 14:46'!
testDataFilter
	self
		assert: (self ajax dataFilter: (self javascript alert: 'Hello'))
		equals: self name , '.ajax({dataFilter:function(){return alert("Hello")}})'! !

!JQAjaxTest methodsFor: 'testing-options' stamp: 'lr 10/16/2008 14:46'!
testDataType
	self
		assert: (self ajax dataType: 'xml')
		equals: self name , '.ajax({dataType:"xml"})'! !

!JQAjaxTest methodsFor: 'testing-options' stamp: 'lr 10/16/2008 14:46'!
testGlobal
	self
		assert: (self ajax global: false)
		equals: self name , '.ajax({global:false})'! !

!JQAjaxTest methodsFor: 'testing-callbacks' stamp: 'lr 10/16/2008 22:26'!
testHtml
	self 
		assert: (self ajax html: [ :html | html div ])
		equals: self name , '.ajax({dataType:"html",url:"http://www.seaside.st/",data:["_s=123","_k=abc","1"].join("&")})'! !

!JQAjaxTest methodsFor: 'testing-options' stamp: 'lr 10/16/2008 14:46'!
testIfModified
	self
		assert: (self ajax ifModified: false)
		equals: self name , '.ajax({ifModified:false})'! !

!JQAjaxTest methodsFor: 'testing-callbacks' stamp: 'lr 10/16/2008 22:28'!
testMultiple
	self 
		assert: (self ajax
			callback: [ :value | ] value: $a; 
			callback: [ :value | ] value: $b;
			callback: [ ])
		equals: self name , '.ajax({url:"http://www.seaside.st/",data:["_s=123","_k=abc","1="+"a","2="+"b","3"].join("&")})'.! !

!JQAjaxTest methodsFor: 'testing-options' stamp: 'lr 10/16/2008 14:46'!
testPassword
	self
		assert: (self ajax password: 'topsecret')
		equals: self name , '.ajax({password:"topsecret"})'! !

!JQAjaxTest methodsFor: 'testing-options' stamp: 'lr 10/16/2008 14:46'!
testProcessData
	self
		assert: (self ajax processData: false)
		equals: self name , '.ajax({processData:false})'! !

!JQAjaxTest methodsFor: 'testing-callbacks' stamp: 'lr 10/16/2008 19:30'!
testScript
	self 
		assert: (self ajax script: [ :script | script alert: 'Hello' ])
		equals: self name , '.ajax({dataType:"script",url:"http://www.seaside.st/",data:["_s=123","_k=abc","1"].join("&")})'! !

!JQAjaxTest methodsFor: 'testing-options' stamp: 'lr 10/16/2008 14:46'!
testScriptCharset
	self
		assert: (self ajax scriptCharset: 'utf-8')
		equals: self name , '.ajax({scriptCharset:"utf-8"})'! !

!JQAjaxTest methodsFor: 'testing-options' stamp: 'lr 10/16/2008 14:46'!
testTimeout
	self
		assert: (self ajax timeout: 1200)
		equals: self name , '.ajax({timeout:1200})'! !

!JQAjaxTest methodsFor: 'testing-options' stamp: 'lr 10/16/2008 14:46'!
testType
	self
		assert: (self ajax type: 'post')
		equals: self name , '.ajax({type:"POST"})'! !

!JQAjaxTest methodsFor: 'testing-options' stamp: 'lr 10/16/2008 14:46'!
testUrl
	self
		assert: (self ajax url: 'http://www.seaside.st/')
		equals: self name , '.ajax({url:"http://www.seaside.st/"})'.
	self
		assert: (self ajax url: (WAUrl absolute: 'http://www.seaside.st/'))
		equals: self name , '.ajax({url:"http://www.seaside.st/"})'! !

!JQAjaxTest methodsFor: 'testing-options' stamp: 'lr 10/16/2008 14:46'!
testUsername
	self
		assert: (self ajax username: 'seaside')
		equals: self name , '.ajax({username:"seaside"})'! !

JQueryTest subclass: #JQueryClassTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Unit'!

!JQueryClassTest methodsFor: 'testing-agent' stamp: 'lr 10/16/2008 18:03'!
testBrowser
	self
		assert: self jQuery browser
		equals: self name , '.browser'! !

!JQueryClassTest methodsFor: 'testing' stamp: 'lr 10/16/2008 14:46'!
testClass
	self
		assert: self jQuery
		equals: self name! !

!JQueryClassTest methodsFor: 'testing-creation' stamp: 'lr 10/16/2008 14:46'!
testExpression
	self
		assert: (self jQuery expression: '#foo')
		equals: self name , '("#foo")'.
	self
		assert: (self jQuery expression: 'div > p')
		equals: self name , '("div > p")'.
	self
		assert: (self jQuery expression: 'ul li.active')
		equals: self name , '("ul li.active")'
! !

!JQueryClassTest methodsFor: 'testing-creation' stamp: 'lr 10/16/2008 14:46'!
testExpressionContext
	self
		assert: (self jQuery expression: '#foo' context: 123)
		equals: self name , '("#foo",123)'! !

!JQueryClassTest methodsFor: 'testing-agent' stamp: 'lr 10/16/2008 18:06'!
testHasBoxModel
	self
		assert: self jQuery hasBoxModel
		equals: self name , '.boxModel'! !

!JQueryClassTest methodsFor: 'testing-creation' stamp: 'lr 10/16/2008 14:46'!
testHtml
	self
		assert: (self jQuery html: [ :html | html div: 'foo' ])
		equals: self name , '("<div>foo</div>")'.
	self
		assert: (self jQuery html: [ :html | html div title: 'foo'; with: 'bar' ])
		equals: self name , '("<div title=\"foo\">bar</div>")'! !

!JQueryClassTest methodsFor: 'testing-agent' stamp: 'lr 10/16/2008 18:05'!
testIsExplorer
	self
		assert: self jQuery isExplorer
		equals: self name , '.browser.msie'! !

!JQueryClassTest methodsFor: 'testing-agent' stamp: 'lr 10/16/2008 18:05'!
testIsMozilla
	self
		assert: self jQuery isMozilla
		equals: self name , '.browser.mozilla'! !

!JQueryClassTest methodsFor: 'testing-agent' stamp: 'lr 10/16/2008 18:05'!
testIsOpera
	self
		assert: self jQuery isOpera
		equals: self name , '.browser.opera'! !

!JQueryClassTest methodsFor: 'testing-agent' stamp: 'lr 10/16/2008 18:04'!
testIsSafari
	self
		assert: self jQuery isSafari
		equals: self name , '.browser.safari'! !

!JQueryClassTest methodsFor: 'testing-creation' stamp: 'lr 10/16/2008 14:46'!
testReady
	self
		assert: (self jQuery ready: (self javascript alert: 'Hello'))
		equals: self name , '(function(){alert("Hello")})'! !

!JQueryClassTest methodsFor: 'testing-creation' stamp: 'lr 10/16/2008 14:46'!
testThis
	self
		assert: self jQuery this
		equals: self name , '(this)'! !

!JQueryClassTest methodsFor: 'testing-agent' stamp: 'lr 10/16/2008 18:04'!
testVersion
	self
		assert: self jQuery version
		equals: self name , '.browser.version'! !

!JQueryClassTest methodsFor: 'testing-with' stamp: 'lr 10/16/2008 14:48'!
testWithBlock
	self
		assert: (self jQuery: [ :html | html heading: 'jQuery' ])
		equals: self name , '("<h1>jQuery</h1>")'! !

!JQueryClassTest methodsFor: 'testing-with' stamp: 'lr 10/16/2008 15:36'!
testWithNil
	self
		assert: (self jQuery: nil)
		equals: self name , '(this)'! !

!JQueryClassTest methodsFor: 'testing-with' stamp: 'lr 10/16/2008 14:49'!
testWithString
	self
		assert: (self jQuery: 'div > p')
		equals: self name , '("div > p")'! !

!JQueryClassTest methodsFor: 'testing-with' stamp: 'lr 10/16/2008 14:48'!
testWithSymbol
	self
		assert: (self jQuery: #foo)
		equals: self name , '("#foo")'! !

JQueryTest subclass: #JQueryInstanceTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Unit'!

!JQueryInstanceTest methodsFor: 'testing-finding' stamp: 'lr 10/16/2008 14:46'!
testAdd
	self
		assert: ((self jQuery: 'div') add: 'p')
		equals: self name , '("div").add("p")'! !

!JQueryInstanceTest methodsFor: 'testing-classes' stamp: 'lr 10/16/2008 14:46'!
testAddClass
	self
		assert: ((self jQuery: 'p:last') addClass: 'selected')
		equals: self name , '("p:last").addClass("selected")'! !

!JQueryInstanceTest methodsFor: 'testing-modifying' stamp: 'lr 10/16/2008 14:46'!
testAfter
	self
		assert: ((self jQuery: 'p') after: [ :html | html strong: 'Hello' ])
		equals: self name , '("p").after("<strong>Hello</strong>")'.
	self
		assert: ((self jQuery: 'span') insertAfter: '#foo')
		equals: self name , '("span").insertAfter("#foo")'! !

!JQueryInstanceTest methodsFor: 'testing-chaining' stamp: 'lr 10/16/2008 14:46'!
testAndSelf
	self
		assert: ((self jQuery: 'div') find: 'p'; andSelf; addClass: 'border')
		equals: self name , '("div").find("p").andSelf().addClass("border")'! !

!JQueryInstanceTest methodsFor: 'testing-modifying' stamp: 'lr 10/16/2008 14:46'!
testAppend
	self
		assert: ((self jQuery: 'p') append: [ :html | html strong: 'Hello' ])
		equals: self name , '("p").append("<strong>Hello</strong>")'.
	self
		assert: ((self jQuery: 'span') appendTo: '#foo')
		equals: self name , '("span").appendTo("#foo")'! !

!JQueryInstanceTest methodsFor: 'testing-attributes' stamp: 'lr 10/16/2008 14:46'!
testAttributeAt
	self
		assert: ((self jQuery: 'em') attributeAt: 'title')
		equals: self name , '("em").attr("title")'! !

!JQueryInstanceTest methodsFor: 'testing-attributes' stamp: 'lr 10/16/2008 14:46'!
testAttributeAtPut
	self
		assert: ((self jQuery: 'button:gt(1)') attributeAt: 'disabled' put: true)
		equals: self name , '("button:gt(1)").attr("disabled",true)'! !

!JQueryInstanceTest methodsFor: 'testing-attributes' stamp: 'lr 10/16/2008 14:46'!
testAttributes
	self
		assert: ((self jQuery: 'img') attributes: (WASmallDictionary new
			at: 'src' put: '/images/hat.gif';
			at: 'title' put: 'jQuery';
			at: 'alt' put: 'jQuery Logo';
			yourself))
		equals: self name , '("img").attr({src:"/images/hat.gif",title:"jQuery",alt:"jQuery Logo"})'! !

!JQueryInstanceTest methodsFor: 'testing-modifying' stamp: 'lr 10/16/2008 14:46'!
testBefore
	self
		assert: ((self jQuery: 'p') before: [ :html | html strong: 'Hello' ])
		equals: self name , '("p").before("<strong>Hello</strong>")'.
	self
		assert: ((self jQuery: 'span') insertBefore: '#foo')
		equals: self name , '("span").insertBefore("#foo")'! !

!JQueryInstanceTest methodsFor: 'testing-finding' stamp: 'lr 10/16/2008 14:46'!
testChildren
	self
		assert: (((self jQuery: 'div')) children)
		equals: self name , '("div").children()'.
	self
		assert: ((self jQuery: 'div') children: 'p')
		equals: self name , '("div").children("p")'! !

!JQueryInstanceTest methodsFor: 'testing-copying' stamp: 'lr 10/16/2008 14:46'!
testClone
	self
		assert: (((self jQuery: 'div')) clone)
		equals: self name , '("div").clone()'! !

!JQueryInstanceTest methodsFor: 'testing-copying' stamp: 'lr 10/16/2008 14:46'!
testCloneAll
	self
		assert: (((self jQuery: 'div')) cloneAll)
		equals: self name , '("div").clone(true)'! !

!JQueryInstanceTest methodsFor: 'testing-filtering' stamp: 'lr 10/16/2008 14:46'!
testCollect
	self
		assert: ((self jQuery: 'div') collect: [ :each | each parent ])
		equals: self name , '("div").map(function(){return ' , self name , '(this).parent()})'.
	self
		assert: ((self jQuery: 'div') collect: [ :each :index | each parents eq: index ])
		equals: self name , '("div").map(function(){return ' , self name , '(this).parents().eq(arguments[0])})'! !

!JQueryInstanceTest methodsFor: 'testing-finding' stamp: 'lr 10/16/2008 14:46'!
testContents
	self
		assert: (((self jQuery: 'div')) contents)
		equals: self name , '("div").contents()'! !

!JQueryInstanceTest methodsFor: 'testing-modifying' stamp: 'lr 10/16/2008 14:46'!
testCopying
	self
		assert: (((self jQuery: 'p')) clone)
		equals: self name , '("p").clone()'.
	self
		assert: (((self jQuery: 'p')) cloneAll)
		equals: self name , '("p").clone(true)'! !

!JQueryInstanceTest methodsFor: 'testing-css' stamp: 'lr 10/16/2008 14:46'!
testCss
	self
		assert: ((self jQuery: 'div') css: (Dictionary new
			at: 'border' put: '1px solid red';
			yourself))
		equals: self name , '("div").css({border:"1px solid red"})'! !

!JQueryInstanceTest methodsFor: 'testing-css' stamp: 'lr 10/16/2008 14:46'!
testCssAt
	self
		assert: ((self jQuery: '#foo') cssAt: 'border')
		equals: self name , '("#foo").css("border")'! !

!JQueryInstanceTest methodsFor: 'testing-css' stamp: 'lr 10/16/2008 14:46'!
testCssAtPut
	self
		assert: ((self jQuery: 'p') cssAt: 'border' put: '1px solid red')
		equals: self name , '("p").css("border","1px solid red")'! !

!JQueryInstanceTest methodsFor: 'testing-modifying' stamp: 'lr 10/16/2008 14:46'!
testEmpty
	self 
		assert: (((self jQuery: 'div')) empty)
		equals: self name , '("div").empty()'.! !

!JQueryInstanceTest methodsFor: 'testing-chaining' stamp: 'lr 10/16/2008 14:46'!
testEnd
	self
		assert: ((self jQuery: 'p') find: 'span'; addClass: 'border'; end; addClass: 'highlight')
		equals: self name , '("p").find("span").addClass("border").end().addClass("highlight")'! !

!JQueryInstanceTest methodsFor: 'testing-filtering' stamp: 'lr 10/16/2008 14:46'!
testEq
	self
		assert: ((self jQuery: 'div') eq: 4)
		equals: self name , '("div").eq(4)'.
	self
		assert: ((self jQuery: 'div') eq: -1)
		equals: self name , '("div").eq(-1)'! !

!JQueryInstanceTest methodsFor: 'testing-filtering' stamp: 'lr 10/16/2008 14:46'!
testFilter
	self
		assert: ((self jQuery: 'div') filter: 'p')
		equals: self name , '("div").filter("p")'! !

!JQueryInstanceTest methodsFor: 'testing-finding' stamp: 'lr 10/16/2008 14:46'!
testFind
	self
		assert: ((self jQuery: 'div') find: ':even')
		equals: self name , '("div").find(":even")'! !

!JQueryInstanceTest methodsFor: 'testing-classes' stamp: 'lr 10/16/2008 14:46'!
testHasClass
	self
		assert: ((self jQuery: 'p') hasClass: 'selected')
		equals: self name , '("p").hasClass("selected")'! !

!JQueryInstanceTest methodsFor: 'testing-css' stamp: 'lr 10/16/2008 14:46'!
testHeight
	self
		assert: (((self jQuery: 'div')) height)
		equals: self name , '("div").height()'.
	self
		assert: (((self jQuery: 'div')) height: 17)
		equals: self name , '("div").height(17)'! !

!JQueryInstanceTest methodsFor: 'testing-manipulating' stamp: 'lr 10/16/2008 14:46'!
testHtml
	self 
		assert: (((self jQuery: 'div')) html)
		equals: self name , '("div").html()'.
	self 
		assert: ((self jQuery: 'div') html: [ :html | html div ])
		equals: self name , '("div").html("<div></div>")'! !

!JQueryInstanceTest methodsFor: 'testing-css' stamp: 'lr 10/16/2008 14:46'!
testInnerHeight
	self
		assert: (((self jQuery: 'div')) innerHeight)
		equals: self name , '("div").innerHeight()'! !

!JQueryInstanceTest methodsFor: 'testing-css' stamp: 'lr 10/16/2008 14:46'!
testInnerWidth
	self
		assert: (((self jQuery: 'div')) innerWidth)
		equals: self name , '("div").innerWidth()'! !

!JQueryInstanceTest methodsFor: 'testing-filtering' stamp: 'lr 10/16/2008 14:46'!
testIs
	self
		assert: ((self jQuery: 'div') is: ':odd')
		equals: self name , '("div").is(":odd")'! !

!JQueryInstanceTest methodsFor: 'testing-finding' stamp: 'lr 10/16/2008 14:46'!
testNext
	self
		assert: (((self jQuery: 'div')) next)
		equals: self name , '("div").next()'.
	self
		assert: ((self jQuery: 'div') next: 'p')
		equals: self name , '("div").next("p")'! !

!JQueryInstanceTest methodsFor: 'testing-finding' stamp: 'lr 10/16/2008 14:46'!
testNextAll
	self
		assert: (((self jQuery: 'div')) nextAll)
		equals: self name , '("div").nextAll()'.
	self
		assert: ((self jQuery: 'div') nextAll: 'p')
		equals: self name , '("div").nextAll("p")'! !

!JQueryInstanceTest methodsFor: 'testing-filtering' stamp: 'lr 10/16/2008 14:46'!
testNot
	self
		assert: ((self jQuery: 'div') not: ':even')
		equals: self name , '("div").not(":even")'! !

!JQueryInstanceTest methodsFor: 'testing-css' stamp: 'lr 10/16/2008 14:46'!
testOffset
	self
		assert: (((self jQuery: 'div')) offset)
		equals: self name , '("div").offset()'! !

!JQueryInstanceTest methodsFor: 'testing-events' stamp: 'lr 10/16/2008 14:46'!
testOnDo
	self
		assert: ((self jQuery: 'a') on: 'click' do: (self javascript alert: 'Clicked'))
		equals: self name , '("a").bind("click",function(){alert("Clicked")})'! !

!JQueryInstanceTest methodsFor: 'testing-events' stamp: 'lr 10/16/2008 14:46'!
testOnOnce
	self
		assert: ((self jQuery: 'a') on: 'click' once: (self javascript alert: 'Clicked'))
		equals: self name , '("a").one("click",function(){alert("Clicked")})'! !

!JQueryInstanceTest methodsFor: 'testing-css' stamp: 'lr 10/16/2008 14:46'!
testOuterHeight
	self
		assert: (((self jQuery: 'div')) outerHeight)
		equals: self name , '("div").outerHeight()'! !

!JQueryInstanceTest methodsFor: 'testing-css' stamp: 'lr 10/16/2008 14:46'!
testOuterWidth
	self
		assert: (((self jQuery: 'div')) outerWidth)
		equals: self name , '("div").outerWidth()'! !

!JQueryInstanceTest methodsFor: 'testing-finding' stamp: 'lr 10/16/2008 14:46'!
testParent
	self
		assert: (((self jQuery: 'div')) parent)
		equals: self name , '("div").parent()'.
	self
		assert: ((self jQuery: 'div') parent: 'p')
		equals: self name , '("div").parent("p")'! !

!JQueryInstanceTest methodsFor: 'testing-finding' stamp: 'lr 10/16/2008 14:46'!
testParents
	self
		assert: (((self jQuery: 'div')) parents)
		equals: self name , '("div").parents()'.
	self
		assert: ((self jQuery: 'div') parents: 'p')
		equals: self name , '("div").parents("p")'! !

!JQueryInstanceTest methodsFor: 'testing-css' stamp: 'lr 10/16/2008 14:46'!
testPosition
	self
		assert: (((self jQuery: 'div')) position)
		equals: self name , '("div").position()'! !

!JQueryInstanceTest methodsFor: 'testing-modifying' stamp: 'lr 10/16/2008 14:46'!
testPrepend
	self
		assert: ((self jQuery: 'p') prepend: [ :html | html strong: 'Hello' ])
		equals: self name , '("p").prepend("<strong>Hello</strong>")'.
	self
		assert: ((self jQuery: 'span') prependTo: '#foo')
		equals: self name , '("span").prependTo("#foo")'! !

!JQueryInstanceTest methodsFor: 'testing-finding' stamp: 'lr 10/16/2008 14:46'!
testPrev
	self
		assert: (((self jQuery: 'div')) prev)
		equals: self name , '("div").prev()'.
	self
		assert: ((self jQuery: 'div') prev: 'p')
		equals: self name , '("div").prev("p")'! !

!JQueryInstanceTest methodsFor: 'testing-finding' stamp: 'lr 10/16/2008 14:46'!
testPrevAll
	self
		assert: (((self jQuery: 'div')) prevAll)
		equals: self name , '("div").prevAll()'.
	self
		assert: ((self jQuery: 'div') prevAll: 'p')
		equals: self name , '("div").prevAll("p")'! !

!JQueryInstanceTest methodsFor: 'testing-filtering' stamp: 'lr 10/16/2008 14:46'!
testReject
	self
		assert: ((self jQuery: 'div') reject: [ :each | each hasClass: 'active' ])
		equals: self name , '("div").filter(function(){return ' , self name , '(this).hasClass("active")})'.
	self
		assert: ((self jQuery: 'div') reject: [ :each :index | (each hasClass: 'active') | index not ])
		equals: self name , '("div").filter(function(){return ' , self name , '(this).hasClass("active")||!!arguments[0]})'! !

!JQueryInstanceTest methodsFor: 'testing-modifying' stamp: 'lr 10/16/2008 14:46'!
testRemove
	self 
		assert: (((self jQuery: 'div')) remove)
		equals: self name , '("div").remove()'.
	self 
		assert: (((self jQuery: 'div')) remove: 'p')
		equals: self name , '("div").remove("p")'! !

!JQueryInstanceTest methodsFor: 'testing-attributes' stamp: 'lr 10/16/2008 14:46'!
testRemoveAttribute
	self
		assert: ((self jQuery: 'button') removeAttribute: 'disabled')
		equals: self name , '("button").removeAttr("disabled")'! !

!JQueryInstanceTest methodsFor: 'testing-classes' stamp: 'lr 10/16/2008 14:46'!
testRemoveClass
	self
		assert: ((self jQuery: 'p:even') removeClass: 'selected')
		equals: self name , '("p:even").removeClass("selected")'! !

!JQueryInstanceTest methodsFor: 'testing-modifying' stamp: 'lr 10/16/2008 14:46'!
testReplace
	self
		assert: ((self jQuery: 'p') replaceWith: [ :html | html emphasis: 'Hello' ])
		equals: self name , '("p").replaceWith("<em>Hello</em>")'.
	self
		assert: ((self jQuery html: [ :html | html div: 'Hello' ]) replaceAll: '.foo')
		equals: self name , '("<div>Hello</div>").replaceAll(".foo")'! !

!JQueryInstanceTest methodsFor: 'testing-css' stamp: 'lr 10/16/2008 14:46'!
testScrollLeft
	self
		assert: (((self jQuery: 'div')) scrollLeft)
		equals: self name , '("div").scrollLeft()'.
	self
		assert: (((self jQuery: 'div')) scrollLeft: 17)
		equals: self name , '("div").scrollLeft(17)'! !

!JQueryInstanceTest methodsFor: 'testing-css' stamp: 'lr 10/16/2008 14:46'!
testScrollTop
	self
		assert: (((self jQuery: 'div')) scrollTop)
		equals: self name , '("div").scrollTop()'.
	self
		assert: (((self jQuery: 'div')) scrollTop: 17)
		equals: self name , '("div").scrollTop(17)'! !

!JQueryInstanceTest methodsFor: 'testing-finding' stamp: 'lr 10/16/2008 14:46'!
testSiblings
	self
		assert: (((self jQuery: 'div')) siblings)
		equals: self name , '("div").siblings()'.
	self
		assert: ((self jQuery: 'div') siblings: 'p')
		equals: self name , '("div").siblings("p")'! !

!JQueryInstanceTest methodsFor: 'testing-filtering' stamp: 'lr 10/16/2008 14:46'!
testSliceFrom
	self
		assert: ((self jQuery: 'div') sliceFrom: 0)
		equals: self name , '("div").slice(0)'! !

!JQueryInstanceTest methodsFor: 'testing-filtering' stamp: 'lr 10/16/2008 14:46'!
testSliceFromTo
	self
		assert: ((self jQuery: 'div') sliceFrom: 2 to: 5)
		equals: self name , '("div").slice(2,5)'.
	self
		assert: ((self jQuery: 'div') sliceFrom: -1 to: -4)
		equals: self name , '("div").slice(-1,-4)'! !

!JQueryInstanceTest methodsFor: 'testing-manipulating' stamp: 'lr 10/16/2008 14:46'!
testText
	self 
		assert: (((self jQuery: 'p')) text)
		equals: self name , '("p").text()'.
	self 
		assert: ((self jQuery: 'p') text: 'foo')
		equals: self name , '("p").text("foo")'! !

!JQueryInstanceTest methodsFor: 'testing-classes' stamp: 'lr 10/16/2008 14:46'!
testToggleClass
	self
		assert: ((self jQuery: 'p') toggleClass: 'highlight')
		equals: self name , '("p").toggleClass("highlight")'! !

!JQueryInstanceTest methodsFor: 'testing-events' stamp: 'lr 10/16/2008 14:46'!
testTrigger
	self
		assert: ((self jQuery: 'a') trigger: 'click')
		equals: self name , '("a").trigger("click")'! !

!JQueryInstanceTest methodsFor: 'testing-events' stamp: 'lr 10/16/2008 14:46'!
testUnbind
	self
		assert: ((self jQuery: 'a') unbind: 'click')
		equals: self name , '("a").unbind("click")'! !

!JQueryInstanceTest methodsFor: 'testing-manipulating' stamp: 'lr 10/16/2008 22:28'!
testValue
	self 
		assert: ((self jQuery: 'input') value)
		equals: self name , '("input").val()'.
	self 
		assert: ((self jQuery: 'input') value: 'bar')
		equals: self name , '("input").val("bar")'! !

!JQueryInstanceTest methodsFor: 'testing-css' stamp: 'lr 10/16/2008 14:46'!
testWidth
	self
		assert: (((self jQuery: 'div')) width)
		equals: self name , '("div").width()'.
	self
		assert: (((self jQuery: 'div')) width: 17)
		equals: self name , '("div").width(17)'! !

!JQueryInstanceTest methodsFor: 'testing-modifying' stamp: 'lr 10/16/2008 14:46'!
testWrap
	self
		assert: ((self jQuery: 'p') wrap: [ :html | html strong ])
		equals: self name , '("p").wrap("<strong></strong>")'.
	self
		assert: ((self jQuery: 'p') wrapAll: [ :html | html div ])
		equals: self name , '("p").wrapAll("<div></div>")'.
	self
		assert: ((self jQuery: 'p') wrapInner: [ :html | html span ])
		equals: self name , '("p").wrapInner("<span></span>")'! !

!JQueryTest methodsFor: 'accessing' stamp: 'lr 10/15/2008 16:47'!
jQuery
	^ JQueryClass on: self canvas! !

!JQueryTest methodsFor: 'accessing' stamp: 'lr 10/16/2008 00:53'!
jQuery: anObject
	^ self jQuery with: anObject! !

!JQueryTest methodsFor: 'accessing' stamp: 'lr 10/16/2008 14:50'!
name
	"Answers the name of the jQuery function. This can be either '$' or 'jQuery' or any other user chosen name. This makes sure the tests run in any case."

	^ JQuery functionName! !

WAComponent subclass: #JQAllTests
	instanceVariableNames: 'children'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Functional'!

!JQAllTests class methodsFor: 'initialization' stamp: 'lr 10/14/2008 22:23'!
canBeRoot
	^ true! !

!JQAllTests class methodsFor: 'accessing' stamp: 'lr 10/14/2008 22:23'!
description
	^ 'Functional jQuery Test Suite'! !

!JQAllTests class methodsFor: 'initialization' stamp: 'lr 10/18/2008 11:24'!
initialize
	| application |
	application := self registerAsApplication: 'tests/jquery'.
	application addLibrary: JQDevelopmentLibrary! !

!JQAllTests methodsFor: 'as yet unclassified' stamp: 'lr 10/14/2008 22:29'!
children
	^ children! !

!JQAllTests methodsFor: 'as yet unclassified' stamp: 'lr 10/16/2008 20:19'!
initialize
	super initialize.
	children := JQFunctionalTest allSubclasses 
		asSortedCollection: [ :a :b | a name < b name ].
	children := children collect: [ :each | each new ]! !

!JQAllTests methodsFor: 'as yet unclassified' stamp: 'lr 10/18/2008 10:13'!
renderContentOn: html
	self children
		do: [ :each | html render: each ]
		separatedBy: [ html horizontalRule ]! !

WAComponent subclass: #JQFunctionalTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Functional'!

JQFunctionalTest subclass: #JQAnimateTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Functional'!

!JQAnimateTest methodsFor: 'as yet unclassified' stamp: 'lr 10/16/2008 16:06'!
renderContentOn: html
	html div
		id: #animated;
		style: 'position: relative; width: 100px; height: 100px; background-color: #77f'.
		
	html paragraph: 'Relative Values'.
	html button
		onClick: ((html jQuery: #animated) animate left: '-=100px');
		with: '<<'.
	html button
		onClick: ((html jQuery: #animated) animate left: '+=100px');
		with: '>>'.

	html paragraph: 'Toggle Values'.
	html button
		onClick: ((html jQuery: #animated) animate height: 'toggle');
		with: 'height'.
	html button
		onClick: ((html jQuery: #animated) animate width: 'toggle');
		with: 'width'.

	html paragraph: 'Absolute Values'.
	html button
		onClick: ((html jQuery: #animated) animate opacity: 0.0);
		with: '0%'.
	html button
		onClick: ((html jQuery: #animated) animate opacity: 0.5);
		with: '50%'.
	html button
		onClick: ((html jQuery: #animated) animate opacity: 1.0);
		with: '100%'.
		
	html paragraph: 'Multiple Values'.		
	html button
		onClick: ((html jQuery: #animated) animate width: 60; height: 60; border: '20px solid #00f');
		with: 'show'.
	html button
		onClick: ((html jQuery: #animated) animate width: 100; height: 100; border: '0px solid #00f');
		with: 'hide'.
! !

JQFunctionalTest subclass: #JQCounterTest
	instanceVariableNames: 'count'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Functional'!

!JQCounterTest methodsFor: 'initialization' stamp: 'lr 10/14/2008 22:26'!
initialize
	super initialize.
	count := 0! !

!JQCounterTest methodsFor: 'rendering' stamp: 'lr 10/16/2008 22:02'!
renderContentOn: html
	html anchor
		onClick: (html jQuery ajax
			script: [ :s | (s jQuery: #count) html: (count := count - 1) ]);
		with: '--'.
	html anchor
		onClick: (html jQuery ajax
			script: [ :s | (s jQuery: #count) html: (count := count + 1) ]);
		with: '++'.
	html div
		id: 'count';
		with: count! !

JQFunctionalTest subclass: #JQFormTest
	instanceVariableNames: 'textInput textArea checkBox radioButton selectList mutliSelectList'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Functional'!

!JQFormTest methodsFor: 'initialization' stamp: 'lr 10/16/2008 18:11'!
initialize
	super initialize.
	textInput := 'Text Input'.
	textArea := 'Text Area'.
	checkBox := false.
	radioButton := 1.
	selectList := 1.
	mutliSelectList := 1 to: 2! !

!JQFormTest methodsFor: 'rendering-elements' stamp: 'lr 10/16/2008 18:11'!
renderCheckBoxOn: html
	self
		renderLabel: 'Check-Box'
		control: [ :id |
			html checkbox
				id: id;
				value: checkBox;
				callback: [ :value | checkBox := value ] ]
		model: checkBox
		on: html! !

!JQFormTest methodsFor: 'rendering' stamp: 'lr 10/16/2008 22:20'!
renderContentOn: html
	html div 
		id: #form;
		with: [ self renderFormOn: html ].
	html script: ((html jQuery: #form)
		onChange: ((html jQuery ajax
			serialize: (html jQuery: 'form');
			script: [ :s | 
				(s jQuery: #form) 
					html: [ :r | self renderFormOn: r ] ])))! !

!JQFormTest methodsFor: 'rendering' stamp: 'lr 10/16/2008 18:47'!
renderFormOn: html
	html form: [
		self renderTextInputOn: html.
		self renderTextAreaOn: html.
		self renderCheckBoxOn: html.
		self renderRadioButtonOn: html.
		self renderSelectListOn: html.
		self renderMultiSelectListOn: html ]
! !

!JQFormTest methodsFor: 'rendering-utilities' stamp: 'lr 10/16/2008 18:10'!
renderLabel: aString control: aBlock model: anObject on: html
	| id |
	html fieldSet: [
		html label
			for: (id := html nextId);
			with: aString.
		html span: [ aBlock value: id ].
		html paragraph: anObject ]! !

!JQFormTest methodsFor: 'rendering-elements' stamp: 'lr 10/16/2008 18:12'!
renderMultiSelectListOn: html
	self
		renderLabel: 'Multi-Select-List'
		control: [ :id |
			html multiSelect
				id: id;
				size: 3;
				list: (1 to: 9);
				selected: mutliSelectList;
				callback: [ :value | mutliSelectList := value ] ]
		model: mutliSelectList
		on: html! !

!JQFormTest methodsFor: 'rendering-elements' stamp: 'lr 10/16/2008 18:12'!
renderRadioButtonOn: html
	self
		renderLabel: 'Radio-Button'
		control: [ :id |
			html radioGroup: [ :group |
				1 to: 3 do: [ :each |
					html label: [
						html radioButton
							group: group;
							selected: radioButton = each;
							callback: [ radioButton := each ].
					 	html text: each ].
					html break ] ] ]
		model: radioButton
		on: html! !

!JQFormTest methodsFor: 'rendering-elements' stamp: 'lr 10/16/2008 18:12'!
renderSelectListOn: html
	self
		renderLabel: 'Select-List'
		control: [ :id |
			html select
				id: id;
				list: (1 to: 9);
				selected: selectList;
				callback: [ :value | selectList := value ] ]
		model: selectList
		on: html! !

!JQFormTest methodsFor: 'rendering-elements' stamp: 'lr 10/16/2008 18:13'!
renderTextAreaOn: html
	self
		renderLabel: 'Text-Area'
		control: [ :id |
			html textArea
				id: id;
				columns: 20;
				value: textArea;
				callback: [ :value | textArea := value ] ]
		model: textArea
		on: html! !

!JQFormTest methodsFor: 'rendering-elements' stamp: 'lr 10/16/2008 18:13'!
renderTextInputOn: html
	self
		renderLabel: 'Text-Input'
		control: [ :id |
			html textInput
				id: id;
				value: textInput;
				callback: [ :value | textInput := value ] ]
		model: textInput
		on: html! !

JQFunctionalTest subclass: #JQUpdaterTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Functional'!

!JQUpdaterTest methodsFor: 'as yet unclassified' stamp: 'jf 10/20/2008 00:17'!
renderContentOn: html
	html code id: #log.
	
	" clears the log whenever a link is clicked "
	self requestContext addLoadScript: ((html jQuery: 'a')
		onMouseDown: ((html jQuery: #log)
			empty)).

	" in case of an ajax event update the log "
	#(onAjaxComplete: onAjaxError: onAjaxSend: onAjaxStart: onAjaxStop: onAjaxSuccess:) do: [ :each |
		self requestContext addLoadScript: ((html jQuery: #log) 
			perform: each with: ((html jQuery: #log)
				append: each allButLast , ' ')) ]! !
JQAllTests initialize!
